abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 17:35 | Bezpečnostní upozornění

Německá Bundesnetzagentur (obdoba českého ČTU) zakázala na německém území prodej panenky Cayla kvůli „špionáži“ dětí. Tato elektronická hračka obsahuje mikrofon, reproduktor a kameru a bezdrátové komunikační rozhraní, pomocí kterého se hračka připojuje na servery výrobce. Takovýmto způsobem může hračka pomocí umělé inteligence „odpovídat“ na dotazy dítěte. Hlavní problém bude ale asi někde jinde, podle prvotních zpráv může

… více »
Petr Tomášek | Komentářů: 18
17.2. 15:30 | Bezpečnostní upozornění

CSIRT.CZ upozorňuje, že bezpečnostní experti objevili nový typ malwaru, jenž cílí na open source e-commerce platformu Magento. Malware je zajímavý tím, že se jedná o první svého druhu, jehož kód zůstává skrytý v SQL databázi zasaženého e-shopu. Škodlivý kód je volán pomocí tzv. SQL trigerru, který je spouštěn při každém vytvoření objednávky v systému.

Ladislav Hagara | Komentářů: 0
17.2. 09:00 | Nová verze

Bylo vydáno Ubuntu 16.04.2 LTS, tj. druhé opravné vydání Ubuntu 16.04 LTS s kódovým názvem Xenial Xerus. Přehled novinek v poznámkách k vydání a v přehledu změn.

Ladislav Hagara | Komentářů: 37
17.2. 06:00 | Zajímavý článek

Pavel Tišnovský se v dvoudílném článku na MojeFedora.cz věnuje tvorbě pluginů (modulů) pro bitmapový grafický editor GIMP. Pomocí pluginů lze GIMP rozšiřovat o další funkce. Implementovat lze například nové filtry nebo pomocné utility pro tvorbu animací či poloautomatickou retuš snímků.

Ladislav Hagara | Komentářů: 6
16.2. 23:32 | Komunita

Do 30. března se lze přihlásit do dalšího kola programu Outreachy, jehož cílem je přitáhnout do světa svobodného a otevřeného softwaru lidi ze skupin, jež jsou ve světě svobodného a otevřeného softwaru málo zastoupeny. Za 3 měsíce práce, od 30. května do 30. srpna 2017, v participujících organizacích lze vydělat 5 500 USD. Jedná se již o 14. kolo tohoto programu.

Ladislav Hagara | Komentářů: 11
16.2. 23:13 | Nová verze

Byla vydána verze 0.92.1 svobodného multiplatformního vektorového grafického editoru Inkscape. Přehled novinek v poznámkách k vydání. Řešen je mimo jiné problém s verzí 0.92, jež rozbíjí dokumenty vytvořené v předchozích verzích Inkscape. Více v příspěvku na blogu Davida Revoye, autora open source webového komiksu Pepper&Carrot nebo portrétu GNU/Linuxu.

Ladislav Hagara | Komentářů: 0
16.2. 16:26 | Bezpečnostní upozornění

Byla vydána verze 1.1.0e kryptografické knihovny OpenSSL. Dle bezpečnostního upozornění 20170216 byla opravena závažná bezpečnostní chyba CVE-2017-3733.

Ladislav Hagara | Komentářů: 1
16.2. 13:03 | Pozvánky

GNOME hackaton proběhne v Brně na FIT VUT v Red Hat Labu (budova Q) v pondělí 20. února od 15:00. Registrace není nutná, ale pokud dáte na FaceBooku vědět, že plánujete dorazit, pomůže to s plánováním.

Ladislav Hagara | Komentářů: 0
16.2. 13:02 | Pozvánky

Únorový Prague Containers Meetup se koná 21. února v budově MSD. Můžete se těšit na přednášky o tom, proč a jak používat kontejnery a zároveň získat zajímavý pohled na historii a budoucnost kontejnerů.

little-drunk-jesus | Komentářů: 0
16.2. 08:55 | Zajímavý software

Google na svém blogu věnovaném vývojářům oznámil vydání verze 1.0 open source knihovny pro strojové učení TensorFlow (Wikipedie). Přehled novinek v poznámkách k vydání na GitHubu. Zdrojové kódy TensorFlow jsou k dispozici pod licencí Apache 2.0.

Ladislav Hagara | Komentářů: 0
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (13%)
 (2%)
 (72%)
 (3%)
 (10%)
Celkem 655 hlasů
 Komentářů: 52, poslední 13.2. 12:45
Rozcestník
Reklama

Dotaz: Upgrade balíčku libstdc++

5.5.2003 16:44 Lukáš MATELA | skóre: 16
Upgrade balíčku libstdc++
Přečteno: 58×
Zkoušel jsem upgradovat libstdc++ z distribuce SuSE 8.0 pomocí kpackage. Knihovnu mám ve verzi .so.2.9 a potřebuji novou ve verzi so.5 pro instalaci Quanta 3.0, který již snad správně zobrazuje české fonty v editoru. Při instalaci eRPéeMka: libstdc++-3.2-44.i586.rpm mi kpackage vyhodí spoustu programů, které potřebují starou knihovnu. V nesplněných závislostech je pak seznam:
ld-linux.so.2(),libc.so.6(),libc.so.6(GLIBC_2.0)(),libc.so.6(GLIBC_2.1)(),libc.so.6(GLIBC_2.1.3)(),libc.so.6(GLIBC_2.2)(),libgcc_s.so.1(),libgcc_s.so.1(GCC_3.0)(),libm.so.6(),rpmlib(PayloadIsBzip2)(<=3.0.5-1)
Nevím si rady, jak pokračovat

Odpovědi

5.5.2003 18:11 Ondra 'Kepi' Kudlík | skóre: 29 | Brno
Rozbalit Rozbalit vše Upgrade balíčku libstdc++
Jelikož se jedná o důležitý balíček, je jasné, že na něm bude záviset spousta dalších aplikací. Správný postup je upgradovat všechny balíčky, které závisí na staré verzi libstdc++ na takové, které již dokáží spolupracovat s tou novější. V Debianu, který používám je toto řešeno automaticky, bohužel nevím, jak je tomu v Suse, takže buď zkuste najít všechny balíčky, které budete potřebovat nebo se poohlédněte po někajakém software, který dokáže inteligentně řešit závislosti ve vaší distribuci.
18.6.2003 07:35 Lama
Rozbalit Rozbalit vše Upgrade balíčku libstdc++
Docela by me zajimalo jakto delas v tom Debianu.
Stanislav Brabec avatar 6.5.2003 10:40 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Upgrade balíčku libstdc++
Zadejte: rpm -q --whatrequires libstdc++.so.2 a hned uvidíte, kolik balíků budete muset aktualizovat (mně to hlásí 111 balíků). Předpokládám, že minimálně polovina z těchto balíků bude vyžadovat aktualizaci jiných balíků, takže se ve výsledku dopracujete k nutnosti aktualizovat cca 500-1000 balíků. Doporučoval bych raději stáhnout srpm a zkompilovat. Anebo sice ne zcela korektní, ale funkční variantu: - vytvořte si adresář (třeba /usr/local/lib/invisible). - přidejte ho na konec /etc/ld.so.conf - vytáhněte potřebné dynamické knihovny z jejich RPM a dejte je sem - ldconfig - nainstalujte balík pomocí --nodeps - pokud hlásí ještě nějaké chybějící knihovny, opět doinstalujte ručně.
Stanislav Brabec avatar 6.5.2003 10:45 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Upgrade balíčku libstdc++ (OOPS)
Hmm, ani toto vám neprojde - mezi nesplněnými závislostmi máte i novou verzi glibc. V jeho případě máte opět dvě možnosti - aktualizovat ho v systému (velmi odvážný krok - ale mohl by projít; pokud se nepovede, nebude vám fungovat vůbec nic - jen ldconfig a sln). Nebo jí nainstalujete do zmíněného neviditelného adresáře. Pak ho ovšem nesmíte dávat do /etc/ld.so.conf, ale vaši binárku musíte spouštět pomocí: LD_LIBRARY_PATH=/usr/local/lib/invisible binárka

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.